Skip to content

cluster / metrics ​

7 operations.

GET /cluster/metrics ​

ts
proxmox.cluster.metrics.$get()

Metrics index.

Returns an array of object.

GET /cluster/metrics/export ​

ts
proxmox.cluster.metrics.export.$get()

Retrieve metrics of the cluster.

Returns object.

ParameterTypeRequiredNotes
historybooleanAlso return historic values. Returns full available metric history unless start-time is also set — default 0
local-onlybooleanOnly return metrics for the current node instead of the whole cluster — default 0
node-liststringOnly return metrics from nodes passed as comma-separated list
start-timenumberOnly include metrics with a timestamp > start-time. — default 0

GET /cluster/metrics/server ​

ts
proxmox.cluster.metrics.server.$get()

List configured metric servers.

Returns an array of object.

GET /cluster/metrics/server/{id} ​

ts
proxmox.cluster.metrics.server.$(id).$get()

Read metric server configuration.

Returns object.

ParameterTypeRequiredNotes
idstringyesformat pve-configid

POST /cluster/metrics/server/{id} ​

ts
proxmox.cluster.metrics.server.$(id).$post()

Create a new external metric server config

Returns nothing.

ParameterTypeRequiredNotes
api-path-prefixstringAn API path prefix inserted between '<host>:<port>/' and '/api2/'. Can be useful if the InfluxDB service runs behind a reverse proxy.
bucketstringThe InfluxDB bucket/db. Only necessary when using the http v2 api.
disablebooleanFlag to disable the plugin.
idstringyesThe ID of the entry. — format pve-configid
influxdbprotoudp | http | httpsdefault "udp"
max-body-sizenumberInfluxDB max-body-size in bytes. Requests are batched up to this size. — min 1, default 25000000
mtunumberMTU for metrics transmission over UDP — min 512, max 65536, default 1500
organizationstringThe InfluxDB organization. Only necessary when using the http v2 api. Has no meaning when using v2 compatibility api.
otel-compressionnone | gzipCompression algorithm for requests — default "gzip"
otel-headersstringCustom HTTP headers (JSON format, base64 encoded) — ≤ 1024 chars
otel-max-body-sizenumberMaximum request body size in bytes — min 1024, default 10000000
otel-pathstringOTLP endpoint path — default "/v1/metrics"
otel-protocolhttp | httpsHTTP protocol — default "https"
otel-resource-attributesstringAdditional resource attributes as JSON, base64 encoded — ≤ 1024 chars
otel-timeoutnumberHTTP request timeout in seconds — min 1, max 10, default 5
otel-verify-sslbooleanVerify SSL certificates — default 1
pathstringroot graphite path (ex: proxmox.mycluster.mykey) — format graphite-path
portnumberyesserver network port — min 1, max 65536
protoudp | tcpProtocol to send graphite data. TCP or UDP (default)
serverstringyesserver dns name or IP address — format address
timeoutnumbergraphite TCP socket timeout (default=1) — min 0, default 1
tokenstringThe InfluxDB access token. Only necessary when using the http v2 api. If the v2 compatibility api is used, use 'user:password' instead.
typegraphite | influxdb | opentelemetryyesPlugin type. — format pve-configid
verify-certificatebooleanSet to 0 to disable certificate verification for https endpoints. — default 1

PUT /cluster/metrics/server/{id} ​

ts
proxmox.cluster.metrics.server.$(id).$put()

Update metric server configuration.

Returns nothing.

ParameterTypeRequiredNotes
api-path-prefixstringAn API path prefix inserted between '<host>:<port>/' and '/api2/'. Can be useful if the InfluxDB service runs behind a reverse proxy.
bucketstringThe InfluxDB bucket/db. Only necessary when using the http v2 api.
deletestringA list of settings you want to delete. — format pve-configid-list, ≤ 4096 chars
digeststringPrevent changes if current configuration file has a different digest. This can be used to prevent concurrent modifications. — ≤ 64 chars
disablebooleanFlag to disable the plugin.
idstringyesThe ID of the entry. — format pve-configid
influxdbprotoudp | http | httpsdefault "udp"
max-body-sizenumberInfluxDB max-body-size in bytes. Requests are batched up to this size. — min 1, default 25000000
mtunumberMTU for metrics transmission over UDP — min 512, max 65536, default 1500
organizationstringThe InfluxDB organization. Only necessary when using the http v2 api. Has no meaning when using v2 compatibility api.
otel-compressionnone | gzipCompression algorithm for requests — default "gzip"
otel-headersstringCustom HTTP headers (JSON format, base64 encoded) — ≤ 1024 chars
otel-max-body-sizenumberMaximum request body size in bytes — min 1024, default 10000000
otel-pathstringOTLP endpoint path — default "/v1/metrics"
otel-protocolhttp | httpsHTTP protocol — default "https"
otel-resource-attributesstringAdditional resource attributes as JSON, base64 encoded — ≤ 1024 chars
otel-timeoutnumberHTTP request timeout in seconds — min 1, max 10, default 5
otel-verify-sslbooleanVerify SSL certificates — default 1
pathstringroot graphite path (ex: proxmox.mycluster.mykey) — format graphite-path
portnumberyesserver network port — min 1, max 65536
protoudp | tcpProtocol to send graphite data. TCP or UDP (default)
serverstringyesserver dns name or IP address — format address
timeoutnumbergraphite TCP socket timeout (default=1) — min 0, default 1
tokenstringThe InfluxDB access token. Only necessary when using the http v2 api. If the v2 compatibility api is used, use 'user:password' instead.
verify-certificatebooleanSet to 0 to disable certificate verification for https endpoints. — default 1

DELETE /cluster/metrics/server/{id} ​

ts
proxmox.cluster.metrics.server.$(id).$delete()

Remove Metric server.

Returns nothing.

ParameterTypeRequiredNotes
idstringyesformat pve-configid